org.apache.kylin.jdbc

## Class KylinEnumerator<E>

- java.lang.Object
- - org.apache.kylin.jdbc.KylinEnumerator<E>

All Implemented Interfaces:
  Closeable, AutoCloseable, net.hydromatic.linq4j.Enumerator<E>

    public class KylinEnumerator<E>
    extends Object
    implements net.hydromatic.linq4j.Enumerator<E>

Query results enumerator

Author:
  xduo

### Constructor Summary

Constructors
Constructor and Description
`KylinEnumerator(Collection<E> dataCollection)`

### Method Summary

Methods
`void` `close()`
`E` `current()`
`boolean` `moveNext()`
`void` `reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KylinEnumerator

    public KylinEnumerator(Collection<E> dataCollection)

### Method Detail

#### current

    public E current()

Specified by:
  `current` in interface `net.hydromatic.linq4j.Enumerator<E>`

#### moveNext

    public boolean moveNext()

Specified by:
  `moveNext` in interface `net.hydromatic.linq4j.Enumerator<E>`

#### reset

    public void reset()

Specified by:
  `reset` in interface `net.hydromatic.linq4j.Enumerator<E>`

#### close

    public void close()

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `net.hydromatic.linq4j.Enumerator<E>`